Status: Closed Start date: 2008-10-26
Priority: Urgent Due date:

Assignee: % Done: 0%
Category: Plugin API Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

When trying to log into the SVN via Apache2 http:// with the proper credentials, it does not log me in.

Here is my apache server log.

DBD: :mysql::st execute failed: called with 2 bind variables when 0 are needed at /opt/redmine/extr
a/svn/Redmine.pm line 278.

DBD: :mysql::st fetchrow_array failed: fetch() without execute() at /opt/redmine/extra/svn/Redmine.
pm line 281.

History

#1 - 2008-10-26 16:26 - Steven Lu
- Status changed from New to Resolved
The guide in the Wiki is incorrect. Here's what | did.

| copied Redmine.pm to /ust/lib/perl5/Apache
Then loaded the following configuration script:

PerlLoadModule Apache::Redmine
<Location />
DAV svn
SVNParentPath "/var/svn"
AuthType Basic
AuthName redmine

Require valid-user

PerlAccessHandler Apache::Authn::Redmine::access_handler
PerlAuthenHandler Apache::Authn::Redmine::authen_handler

RedmineDSN DBI:mysqgl:database=redmine;host=localhost
RedmineDbUser XXXXXXXXXX

RedmineDbPass XXXXXXXXXX
</Location>

#2 - 2008-10-26 16:28 - Steven Lu

Can someone please blot out my username and password?
#3 - 2008-10-27 13:31 - Jean-Philippe Lang

Actually, the wiki documentation applies to latest stable release (0.7) of Redmine.pm.
This will be updated on 0.8 release. Thanks.

Can someone please blot out my username and password?

Done.

#4 - 2008-10-27 21:22 - Steven Lu
| could also give you a guide on how to https secure the SVN and let only redmine access the repository through localhost port 80.

#5 - 2009-12-26 12:58 - Jean-Philippe Lang
- Status changed from Resolved to Closed

- Resolution set to Fixed

Documentation is fixed.
